# X11

## Change Keyboardlayout

To temporarily change the layout of the keyboard just run
`setxkbmap <your preferred layout>`.
For a permanent change run `localectl set-x11-keymap <your preferred layout>`.

## Screen Tearing

### Intel Graphics

Linux can sometimes have problems with screen tearing.
To get this working you need to change the `/etc/X11/xorg.conf.d/20-intel.conf` to:

```txt
Section "Device"
    Identifier "Intel Graphics"
    Driver "intel"
    Option "TearFree" "true"
EndSection
```

This was found on
[maketecheasier](https://www.maketecheasier.com/get-rid-screen-tearing-linux).

## Disable Screen Blanking

To save power the screen is set to turn black after a given amount of time.
This can be disabled temporarily by running `xset s off` or permanently by
adding the following lines to your `/etc/X11/xorg.conf`:

```txt
Section "ServerFlags"
    Option "BlankTime" "0"
EndSection
```
