# Recommended software and alternatives

This article is a list of proprietary hard- and software, its alternatives and other
recommended, good software (mostly free and/or open-source).

## Alternatives

- **Fitness tracker apps** alternatives:
  - [GadgetBridge](https://codeberg.org/Freeyourgadget/Gadgetbridge) is a free and
  cloudless alternative compatible with many devices.

- [**Instagram**](https://instagram.com) alternatives:
  - [Bibliogram](./bibliogram.md) is an alternative frontend for instagram.

- **Microsoft office** alternatives:
  - [ThunderBird](https://www.thunderbird.net/) is an open-source email client.
  - [LibreOffice](https://www.libreoffice.org/) is a free and open-source office
  software suite.

- [**Pocket**](https://getpocket.com/) alternatives:
  - [wallabag](./wallabag.md) is a self-hosted application for saving websites.

- **Preinstalled Android apps** alternatives:
  - [SimpleMobileTools](https://www.simplemobiletools.com/) features a wide variety
  of apps, that can replace the preinstalled apps (calendar, gallery, launcher, etc.).

- **Preinstalled Windows programs** alternatives:
  - [ImageGlass](https://github.com/d2phap/ImageGlass) is a simple and open-source
  image viewer for windows.
  - [foobar2000](https://www.foobar2000.org/) is a freeware audio player for windows.

- [**Reddit**](https://reddit.com) alternatives:
  - [Slide](https://github.com/ccrama/Slide) is a open-sourced Reddit browser for
  Android. Slide does not feature local subscription management, so you will still
  need a reddit account.
  - [LibReddit](./libreddit.md) is an alternative private front-end to Reddit.

- [**Twitter**](https://twitter.com) alternatives:
  - [Fritter](https://github.com/jonjomckay/fritter) is a free, open-source Twitter
  client for Android and iOS. Fritter features local subscription management.
  - [Nitter](./nitter.md) is a free and open source alternative frontend.

- [**Watch2gether**](https://w2g.tv/) alternatives:
  - [SyncTube](./synctube.md) is self hostable software to synchronize video viewing.

- [**YouTube**](https://youtube.com) is a online video platform owned by Google.
  - [Invidious](./invidious.md) is a copyleft and open-source alternative frontend.
  Invidious features local subscription management.
  - [NewPipe](https://newpipe.net/) is an free and open-source android youtube client.
  NewPipe features local subscription management.

## Recommended Software

- [anki](https://github.com/ankitects/anki) is an open-source tool to learn with
[SRS](https://en.wikipedia.org/wiki/Spaced_repetition) flashcards.
- [Webapps by tobykurien](https://github.com/tobykurien/webapps) is a tool to
create sandboxed android apps of websites.
